unload_model
POST
/v1/models/unload
const url = 'https://example.com/v1/models/unload';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"model_id":"my-model"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/models/unload \ --header 'Content-Type: application/json' \ --data '{ "model_id": "my-model" }'Request Body required
Section titled “Request Body required ” Media type application/json
Request for model operations (unload, reload, status)
object
model_id
required
string
Example
my-modelResponses
Section titled “ Responses ”Model unloaded successfully
Media type application/json
Response for model status operations
object
error
Error message when status indicates an error condition
string | null
model_id
required
string
status
required
Model status enum
string
Example
{ "model_id": "my-model", "status": "loaded"}Failed to unload model
Media type application/json
Response for model status operations
object
error
Error message when status indicates an error condition
string | null
model_id
required
string
status
required
Model status enum
string
Example
{ "model_id": "my-model", "status": "loaded"}